/*
 *  @(#) ulaw.h 1.6, last edit: 2/21/94 18:10:14
 *  @(#) Copyright (C) 1993, 1994 Tobias Bading (bading@cs.tu-berlin.de)
 *  @(#) Berlin University of Technology
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* SPARC1PX modifications (to play out on the AMD
audio device) by James Boucher - Boston University
Multimedia Communications Lab 
email: jboucher@flash.bu.edu      */

static int samp_freq;   //local sampling frequency storage

/* Exponent table taken from the Sox utilites code
   by Jef Poskanzer, Craig Reese, and Joe Campbell */

    static int exp_lut[256] = {0,0,1,1,2,2,2,2,3,3,3,3,3,3,3,3,
			       4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
			       5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
			       5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
			       6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
			       6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
			       6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
			       6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
			       7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7};





